UI::Util::auto_base< P > Class Template Reference

Base adapter class to hold a pointer that can't be freed using standard "delete". More...

`#include <Misc.hpp>`

Inheritance diagram for UI::Util::auto_base< P >:
Collaboration diagram for UI::Util::auto_base< P >:

## Public Member Functions

| auto_base (P *const p=0)
| Construct from any pointer (may be 0).
void | set (P *const p)
| Set controlled pointer (must not be 0).
P * | get () const
| Get underlying pointer.
P * | operator-> () const
| Smart dereferencing.

## Protected Attributes

P * | p_
| Controlled pointer.

## Detailed Description

template<typename P>
class UI::Util::auto_base< P >

Base adapter class to hold a pointer that can't be freed using standard "delete".

Derived classes should overwrite the destructor accordingly (and add other tool methods at will).

The documentation for this class was generated from the following file:

- Misc.hpp